Magento Follow www.magento.com | Open Source

The Bitnami Magento Stack provides a one-click install solution for Magento. Download installers and virtual machines, or run your own Magento server in the cloud.

Magento is one of the most popular open source ecommerce shopping cart systems. It is extremely flexible and has a huge variety of features to build just about any store. Features include SEO-readiness, multi-store support, marketing tools, deep analytics, catalog management, a robust shopping cart with support for multiple shipping addresses and more. The Magento project is backed by eBay, so you can be confident that it will be around for the long run, and it offers multiple editions, including small business and enterprise editions, to help grow with your business.

Bitnami Virtual Machines contain a minimal Linux operating system with Magento installed and configured. This enables you to run the application without actually installing it on your computer. It's completely isolated from other software installed on your machine and makes an ideal sandbox for your project.

Using the Bitnami Virtual Machine image requires hypervisor software such as VMware Player or VirtualBox. Both of these hypervisors are available free of charge. After installing your preferred hypervisor, download and extract the Bitnami Virtual Machine by following the instructions in our getting started guide for VMware or VirtualBox.


Why use the Bitnami Magento Stack?

Bitnami makes it easy to run Magento in the cloud, locally or virtually. The Bitnami Magento Stack is:

  • Up-to-date

    We track every release of Magento and update our stack shortly after it's released.

  • Secure

    If serious security issues are discovered, we provide new versions of Magento as soon as possible, often within hours of the availability of a fix.

  • Consistent

    With Bitnami, you get the same software stack and configuration regardless of where you are deploying Magento or other Bitnami Applications. This makes it easy to migrate between different platforms.

With the Bitnami Magento Stack compiling, configuring and all of its dependencies are taken care of, so it works out-of-the-box.

Back to top

Reviews of Bitnami Magento Write a Review →

  1. Bitnami Magento 1

    Magento (2.1.9) Component Dependency Check ERROR

    by ed ou on

    Today 09/22/2017,

    install the Magento 2.1.9 on Google Cloud

    Want to update new component

    System autocheck ERR:

    Command "update" failed: Loading composer repositories with package information

    Updating dependencies (including require-dev)

    Your requirements could not be resolved to an installable set of packages.

    Problem 1

    - Installation request for magento/module-shared-catalog 100.0.0-rc30

    satisfiable by magento/module-shared-catalog[100.0.0-rc30].

    - magento/module-shared-catalog 100.0.0-rc30 requires magento/module-advanced-checkout 100.2.*

    no matching package found.

    Problem 2

    - Installation request for magento/product-community-edition 2.1.9

    satisfiable by magento/product-community-edition[2.1.9].

    - magento/module-configurable-product-sales 100.2.0-rc30 requires magento/framework 101.0.*

    satisfiable by magento/framework[101.0.0-rc21, 101.0.0-rc22, 101.0.0-rc23, 101.0.0-rc30].

    - Can only install one of: magento/framework[100.1.9, 101.0.0-rc21].

    - Can only install one of: magento/framework[100.1.9, 101.0.0-rc22].

    - Can only install one of: magento/framework[100.1.9, 101.0.0-rc23].

    - Can only install one of: magento/framework[100.1.9, 101.0.0-rc30].

    - magento/product-community-edition 2.1.9 requires magento/framework 100.1.9

    satisfiable by magento/framework[100.1.9].

    - Installation request for magento/module-configurable-product-sales 100.2.0-rc30

    satisfiable by magento/module-configurable-product-sales[100.2.0-rc30].

    Potential causes:

    - A typo in the package name

    - The package is not available in a stable-enough version according to your minimum-stability setting

    see https://getcomposer.org/doc/04-schema.md#minimum-stability for more details.

    Read https://getcomposer.org/doc/articles/troubleshooting.md for further common problems.

    Was this review helpful to you? Yes No

  2. Bitnami Magento 5

    This is excellent!

    by Gabriel Palhares on

    Excellent product, the easiest way to install Magento! Thank you.

    People having issues with Windows, don't forget to execute setup file and Stack Manager Tool app as administrator.

    Was this review helpful to you? Yes No

  3. Bitnami Magento 2

    Older versions?!

    by B. H. on

    Where are older version of Magento like 1.9.x?

    Think you should share this too!

    It's crazy... some products are only available in the current version for others only in old versions.

    8 out of 9 people found this helpful.

    Was this review helpful to you? Yes No

  4. Bitnami Magento 1

    Installation crash

    by Livio Paciotti on

    I try install Magento module:

    bitnami-magento-2.1.6-0-module-linux-x64-installer.run

    On stack

    bitnami-lampstack-7.1.2-1-dev-linux-x64-installer.run

    but i have this error :

    "Problem running post-install step. Installation may not complete

    correctly

    Error running /opt/lampstack-7.1.2-1/php/bin/php -q

    "/opt/lampstack-7.1.2-1/apps/magento/htdocs/bin/magento" setup:install

    --base-url "http://127.0.1.1/magento" --backend-frontname "admin" --db-host

    "/opt/lampstack-7.1.2-1/mysql/tmp/mysql.sock" --db-name "bitnami_magento"

    --db-user "bn_magento" --db-password "2727d0d99e" --admin-firstname "pl"

    --admin-lastname "Bitnami" --admin-email "plhmk@tin.it" --admin-user "pl"

    --admin-password "manamana1" --language "en_US" --currency "USD" --timezone

    "America/Los_Angeles" --use-secure "1" --base-url-secure

    "https://127.0.1.1/magento/" --use-secure-admin "0":

    "

    So the application don't start

    4 out of 4 people found this helpful.

    Was this review helpful to you? Yes No

  5. Bitnami Magento 1

    Do not waste your time trying

    by Lain Iawkura on

    I say this because while it "might" work, the php version is listed on Magento as non-compatible. I discovered this while trying to install a Magento 2.1.5 on my WAMP which also has the same problem, Bitnami has dropped the ball on this big time, cant even read the Magento requirements before they make a stack...very unhappy right now.

    1 out of 1 people found this helpful.

    Was this review helpful to you? Yes No